import { AdminHighlight } from "./admin.highlight.service";
import { CreateHighlightDto, UpdateHighlightDto, UpdateStatusDto } from "./highlight.dto";
export declare class AdminHighlightController {
    private readonly AdminHighlight;
    constructor(AdminHighlight: AdminHighlight);
    create(createHighlightDto: CreateHighlightDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(shopId: number): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/highlight/highlight.entity").Highlight[];
    }>;
    update(id: string, updateHighlightDto: UpdateHighlightDto): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
